专栏首页python3Linux更新Python版本及修改py

Linux更新Python版本及修改py

linux下更新Python版本并修改默认版本,有需要的朋友可以参考下。

很多情况下拿到的服务器python版本很低,需要自己动手更改默认python版本

1、从官网下载python安装包(这个版本可以是任意版本3.3 2.7 2.6等等)

wget http://python.org/ftp/python/2.7/Python-2.7.tar.bz2

2、解压并安装

?

123456

tar -jxvf Python-2.7.tar.bz2 cd Python-3.3.0 ./configuremake all make installmake clean

make distclean  python默认被安装在/usr/local/bin/python2.7,你可以执行以下命令查看版本

/usr/local/bin/python2.7 -V 而系统的默认python放置在/usr/bin/python2.6处(这个2.6是系统默认版本) 因此此时需要建立软连接指向当前系统默认的python目录处,让系统使用新的python版本

mv /usr/bin/python /usr/bin/python2.6 //对系统默认版本python进行操作 ln -s /usr/local/bin/python2.7 /usr/bin/python   //注意第一个路径是新安装的python版本路径,而第二个路径是系统默认路径  修改完成,此时输入python -V或者python就看看到版本号已经修改到了新安装的版本

PS:

1、修改了新的python版本,那么原先安装的python插件都不在新版本python目录下,因此需要重新安装

2、有些人更新了python版本无法使用yum,需要为yum修改它的配置文件

vi /usr/bin/yum  将文件头部的#!/usr/bin/python改成#!/usr/bin/python2.6(注意这个是之前的老版本python号,因为此时老版本才能支持yum)

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • 关于kali2.0上python的设置切

           由于之前一直在windows上学习python,安装的也是最新3.6。现在要转到linux下,首先面临的问题就是关于linux下默认版本的解决,目...

    用户2398817
  • Linux下安装Python3.x.x

    linux一般都自带了python,然而2014年以前的linux自带的python都是2.x.x甚至更早的版本。

    用户2398817
  • ubuntu查看python安装路径

    s@s-pc:~/mypython$ which python /usr/bin/python

    用户2398817
  • 关于kali2.0上python的设置切

           由于之前一直在windows上学习python,安装的也是最新3.6。现在要转到linux下,首先面临的问题就是关于linux下默认版本的解决,目...

    用户2398817
  • 笔记记录 | Ubuntu下修改默认python及pip版本

    在文件中添加下面一行内容,/usr/bin/python3.5就是你要修改的python版本路径

    TeamsSix
  • linux python 更新版本

    安装完CentOS6.5(Final)后,执行#Python与#python -V,看到版本号是2.6,而且之前写的都是跑在python3.X上面的,3.X和...

    用户2398817
  • CentOS python 2.6 升级

    CentOS 6.5自带的python版本为2.6.6,但是日常工作中使用2.7.x的版本比较多,则可以通过升级来满足需求。然而旧版本的Python已经被系统深...

    用户2398817
  • Linux环境下非root用户安装Python及相关库

    在生产环境的Linux服务器上,都会自带python,但有时因为python或相关库版本太低,导致自己写的python脚本无法运行,无奈没有root权限(即使有...

    JouyPub
  • CentOS6.5升级安装Python3.3版本且保留原版本Python2.x

    目前服务器的系统是CENTOS6.5版本镜像,已有软件是在Python2.7.5默认环境中运行,但是由于有一个新的工具脚本需要在Python3.x版本中运行,这...

    老蒋
  • Linux下安装Python3.x.x

    linux一般都自带了python,然而2014年以前的linux自带的python都是2.x.x甚至更早的版本。

    用户2398817

扫码关注云+社区

领取腾讯云代金券